Page MenuHomePhabricator

deployment-mediawiki-07: Search backend error during {queryType} search for '{query}' after {tookMs}: {error_message}
Closed, ResolvedPublicPRODUCTION ERROR

Description

Error message
Search backend error during full_text search for 'Construction Information of Kuwait National Stadium' after 49: index_not_found_exception: no such index

Several hits per day, causing much logspam. See full details of a single error at https://logstash-beta.wmflabs.org/goto/130fe753d0ca05dafce0cf62ee69d6f5.

Details

Request ID
XgYN9KwQBHcAAB0dqEEAAABT
Request URL
/w/index.php?search=Construction+Information+of+Kuwait+National+Stadium&title=Special%3ASearch&go=Go&ns0=1

Event Timeline

Restricted Application added a project: Discovery-Search. · View Herald TranscriptDec 27 2019, 2:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Mentioned in SAL (#wikimedia-cloud) [2020-01-02T10:40:23Z] <dcausse> created missing elastic indices: T241487

Change 561600 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] force phrase_suggest fallback profile for all beta wikis

https://gerrit.wikimedia.org/r/561600

dcausse claimed this task.Jan 2 2020, 11:32 AM
dcausse triaged this task as Medium priority.
dcausse moved this task from Incoming to Needs review on the Discovery-Search (Current work) board.

Change 561600 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] force phrase_suggest fallback profile for all beta wikis

https://gerrit.wikimedia.org/r/561600

Search was broken, the config change fixed it.
logstash-beta seems to have stopped to receive events since Jan 1st 16:40 so I can't be really sure that the logspam stopped. Please reopen if you still see errors of this kind.

dcausse closed this task as Resolved.Jan 7 2020, 8:43 AM